/* 
(C) OOMusou 2010 http://oomusou.cnblogs.com

Filename    : mux_ternary.v
Simulator   : NC-Verilog 5.4 + Debussy 5.4 v9 + Quartus II 8.1
Description : mux by ?:
Release     : Aug.30,2010 1.0
*/

`timescale 1 ns/1 ns

module mux_ternary (
  a_i,
  b_i,
  c_i,
  d_i,
  sel_i,
  q_o
);

input a_i, b_i, c_i, d_i;
input [1:0] sel_i;
output q_o;

assign q_o = (sel_i == 2'b00) ? a_i : 
             (sel_i == 2'b01) ? b_i :
             (sel_i == 2'b10) ? c_i :
                                d_i;

endmodule